You signed in with another tab or window. Reload to refresh your session.You signed out in another tab or window. Reload to refresh your session.You switched accounts on another tab or window. Reload to refresh your session.Dismiss alert
hello,i need your help.
i read your doc and try to use other function referening AutoCAD ActiveX documentation.
but find some error,however the function did work.
here is the codes(quite simple):
#---------------------------------------------------------------------------
and here is the message:
D:\pythonWorkSpace\first_folder\Scripts\python.exe D:/workspace/first_python/manipulate_cad/TestCad.py
Traceback (most recent call last):
File "D:/workspace/first_python/manipulate_cad/TestCad.py", line 14, in
offset = line.Offset(12)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\client\lazybind.py", line 182, in caller
return self._comobj._invoke(descr.memid, descr.invkind, 0, *args)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\automation.py", line 730, in _invoke
return var._get_value(dynamic=True)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\automation.py", line 457, in _get_value
typ = _vartype_to_ctype[self.vt & ~VT_ARRAY]
KeyError: 9
Process finished with exit code 1
#---------------------------------------------------------------------------
the same error occured when i use '' line.ArrayPolar(3, 3.14, p1)''
But just as i said, auto cad did work well and draw the graphics rightly.
How can i settle this? I need your help.
By the way ,the version of my auto cad is 2018.
Thanks~!
The text was updated successfully, but these errors were encountered:
hello,i need your help.
i read your doc and try to use other function referening AutoCAD ActiveX documentation.
but find some error,however the function did work.
here is the codes(quite simple):
#---------------------------------------------------------------------------
from pyautocad import Autocad, APoint
acad = Autocad(create_if_not_exists=True)
p1 = APoint(0, 0, 0)
p2 = APoint(25, 0, 0)
p3 = APoint(60, 60)
line = acad.model.AddLine(p1, p2)
offset = line.Offset(12)
#---------------------------------------------------------------------------
and here is the message:
D:\pythonWorkSpace\first_folder\Scripts\python.exe D:/workspace/first_python/manipulate_cad/TestCad.py
Traceback (most recent call last):
File "D:/workspace/first_python/manipulate_cad/TestCad.py", line 14, in
offset = line.Offset(12)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\client\lazybind.py", line 182, in caller
return self._comobj._invoke(descr.memid, descr.invkind, 0, *args)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\automation.py", line 730, in _invoke
return var._get_value(dynamic=True)
File "D:\pythonWorkSpace\first_folder\lib\site-packages\comtypes\automation.py", line 457, in _get_value
typ = _vartype_to_ctype[self.vt & ~VT_ARRAY]
KeyError: 9
Process finished with exit code 1
#---------------------------------------------------------------------------
the same error occured when i use '' line.ArrayPolar(3, 3.14, p1)''
But just as i said, auto cad did work well and draw the graphics rightly.
How can i settle this? I need your help.
By the way ,the version of my auto cad is 2018.
Thanks~!
The text was updated successfully, but these errors were encountered: